org.modeshape.jcr.spi.index

## Interface IndexFeedback

-     public interface IndexFeedback

  A feedback mechanism to allow a `IndexProvider` to signal to ModeShape that one or more indexes need to be rebuilt. The `IndexProvider` calls the `scan(String, IndexingCallback)` and `scan(String, IndexingCallback, Path)` methods one or multiple times, depending upon which portion(s) of the repository content need to be scanned and reindexed.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IndexFeedback.IndexingCallback`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `scan(String workspaceName, IndexFeedback.IndexingCallback callback)` Signal that all of the repository content in the specified workspace should be scanned.
    `void` | `scan(String workspaceName, IndexFeedback.IndexingCallback callback, Path path)` Signal that a portion of the repository content at/under the given path in the specified workspace should be scanned.

- - ### Method Detail

    - #### scan

          void scan(String workspaceName,
                  IndexFeedback.IndexingCallback callback,
                  Path path)

      Signal that a portion of the repository content at/under the given path in the specified workspace should be scanned.
      Parameters:
        `workspaceName` - the name of the workspace containing the content to be scanned; may not be null
        `callback` - the callback that should be invoked when the reindexing has completed; may be null if no callback is required
        `path` - the path at/under which the content should be scanned and reindexed; may not be null

    - #### scan

          void scan(String workspaceName,
                  IndexFeedback.IndexingCallback callback)

      Signal that all of the repository content in the specified workspace should be scanned.
      Parameters:
        `workspaceName` - the name of the workspace containing the content to be scanned; may not be null
        `callback` - the callback that should be invoked when the reindexing has completed; may be null if no callback is required

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.